apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ cyrus_name }}
  namespace: {{ namespace }}
data:
  default.sieve: |
    require ["fileinto","mailbox"];
    if header :contains "X-Spam" "Yes" {
        fileinto :create "INBOX.Junk";
        stop;
    }
    if header :contains "X-Spam-Flag" "YES" {
        fileinto :create "INBOX.Junk";
        stop;
    }
{% if do_cyrus_murder | default(False) %}
  cyrus-murder-master.conf: |
    START {
        recover       cmd="ctl_cyrusdb -r"
{% if do_exporters and 0 == 1 %}
        statscleanup  cmd="promstatsd -c"
{% endif %}
    }
    SERVICES {
        imap          cmd="imapd" listen="imap" prefork=5
        imaps         cmd="imapd -s" listen="imaps" prefork=1
{% if do_exporters and 0 == 1 %}
        http          cmd="httpd" listen="http" prefork=2
{% endif %}
        lmtpunix      cmd="lmtpd" listen="/run/cyrus/socket/lmtp" prefork=1
        lmtp          cmd="lmtpd -a" listen="lmtp" prefork=0
        mupdate       cmd="/usr/libexec/cyrus-imapd/mupdate -m" listen=3905 prefork=1
{% if cyrus_do_pop %}
        pop3          cmd="pop3d" listen="pop3" prefork=3
        pop3s         cmd="pop3d -s" listen="pop3s" prefork=1
{% endif %}
        sieve         cmd="timsieved" listen="sieve" prefork=0
    }
    EVENTS {
        checkpoint    cmd="ctl_cyrusdb -c" period=30
        delprune      cmd="cyr_expire -E 3" at=0400
        deleteprune   cmd="cyr_expire -E 4 -D 28" at=0430
        expungeprune  cmd="cyr_expire -E 4 -X 28" at=0445
        tlsprune      cmd="tls_prune" at=0400
    }
    DAEMON {
{% if do_exporters and 0 == 1 %}
        promstatsd    cmd="promstatsd"
{% endif %}
    }
{% endif %}
  cyrus.conf: |
    START {
        recover       cmd="ctl_cyrusdb -r"
{% if do_exporters and 0 == 1 %}
        statscleanup  cmd="promstatsd -c"
{% endif %}
    }
    SERVICES {
        imap          cmd="imapd" listen="imap" prefork=5
        imaps         cmd="imapd -s" listen="imaps" prefork=1
{% if do_exporters and 0 == 1 %}
        http          cmd="httpd" listen="http" prefork=2
{% endif %}
        lmtpunix      cmd="lmtpd" listen="/run/cyrus/socket/lmtp" prefork=1
        lmtp          cmd="lmtpd -a" listen="lmtp" prefork=0
{% if cyrus_do_pop %}
        pop3          cmd="pop3d" listen="pop3" prefork=3
        pop3s         cmd="pop3d -s" listen="pop3s" prefork=1
{% endif %}
        sieve         cmd="timsieved" listen="sieve" prefork=0
    }
    EVENTS {
        checkpoint    cmd="ctl_cyrusdb -c" period=30
        delprune      cmd="cyr_expire -E 3" at=0400
        deleteprune   cmd="cyr_expire -E 4 -D 28" at=0430
        expungeprune  cmd="cyr_expire -E 4 -X 28" at=0445
        tlsprune      cmd="tls_prune" at=0400
    }
    DAEMON {
{% if do_exporters and 0 == 1 %}
        promstatsd    cmd="promstatsd"
{% endif %}
    }
  dummy.conf: |
    foo
